## vlc-0.2.73.tar.gz

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

-include Makefile.opts

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	alsa beos darwin dsp dummy \
		dvd esd fb ggi glide gnome gtk \
		idct \
		macosx mga \
		motion \
		mpeg null qt sdl \
		text x11 yuv

#
# All possible plugin objects
#
PLUGINS_TARGETS := alsa/alsa beos/beos darwin/darwin dsp/dsp dummy/dummy \
		dvd/dvd esd/esd fb/fb ggi/ggi glide/glide gnome/gnome gtk/gtk \
		idct/idct idct/idctclassic idct/idctmmx idct/idctmmxext \
		macosx/macosx mga/mga \
		motion/motion motion/motionmmx motion/motionmmxext \
		mpeg/es mpeg/ps mpeg/ts null/null qt/qt sdl/sdl \
		text/ncurses text/rc x11/x11 x11/xvideo yuv/yuv yuv/yuvmmx

#
# C Objects
# 
INTERFACE =	src/interface/main.o \
		src/interface/interface.o \
		src/interface/intf_msg.o \
		src/interface/intf_cmd.o \
		src/interface/intf_ctrl.o \
		src/interface/intf_playlist.o \
		src/interface/intf_channels.o \
		src/interface/intf_console.o \
		src/interface/intf_urldecode.o \

INPUT =		src/input/input_ext-dec.o \
		src/input/input_ext-intf.o \
		src/input/input_dec.o \
		src/input/input_programs.o \
		src/input/input_netlist.o \
		src/input/input_clock.o \
		src/input/input.o \
		src/input/mpeg_system.o

AUDIO_OUTPUT = 	src/audio_output/audio_output.o \
		src/audio_output/aout_fifo.o \
		src/audio_output/aout_u8.o \
		src/audio_output/aout_s8.o \
		src/audio_output/aout_u16.o \
		src/audio_output/aout_s16.o

VIDEO_OUTPUT = 	src/video_output/video_output.o \
		src/video_output/video_text.o \
		src/video_output/video_spu.o \
		src/video_output/video_yuv.o

AC3_DECODER =	src/ac3_decoder/ac3_decoder_thread.o \
		src/ac3_decoder/ac3_decoder.o \
		src/ac3_decoder/ac3_parse.o \
		src/ac3_decoder/ac3_exponent.o \
		src/ac3_decoder/ac3_bit_allocate.o \
		src/ac3_decoder/ac3_mantissa.o \
		src/ac3_decoder/ac3_rematrix.o \
		src/ac3_decoder/ac3_imdct.o \
		src/ac3_decoder/ac3_downmix.o \
		src/ac3_decoder/ac3_downmix_c.o

LPCM_DECODER =	src/lpcm_decoder/lpcm_decoder_thread.o \
		src/lpcm_decoder/lpcm_decoder.o

AUDIO_DECODER =	src/audio_decoder/audio_decoder.o \
		src/audio_decoder/adec_generic.o \
		src/audio_decoder/adec_layer1.o \
		src/audio_decoder/adec_layer2.o \
		src/audio_decoder/adec_math.o

SPU_DECODER =	src/spu_decoder/spu_decoder.o

#GEN_DECODER =	src/generic_decoder/generic_decoder.o

VIDEO_PARSER = 	src/video_parser/video_parser.o \
		src/video_parser/vpar_headers.o \
		src/video_parser/vpar_blocks.o \
		src/video_parser/vpar_synchro.o \
		src/video_parser/video_fifo.o

VIDEO_DECODER =	src/video_decoder/video_decoder.o

MISC =		src/misc/mtime.o \
		src/misc/tests.o \
		src/misc/rsc_files.o \
		src/misc/modules.o \
		src/misc/netutils.o

C_OBJ =		$(INTERFACE) \
		$(INPUT) \
		$(VIDEO_OUTPUT) \
		$(AUDIO_OUTPUT) \
		$(AC3_DECODER) \
		$(LPCM_DECODER) \
		$(AUDIO_DECODER) \
		$(SPU_DECODER) \
		$(GEN_DECODER) \
		$(VIDEO_PARSER) \
		$(VIDEO_DECODER) \
		$(MISC)

#
# Misc Objects
# 
ifeq ($(GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(SYS),beos)
CPP_OBJ =	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

#
# Generated header
#
H_OBJ =		include/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@lib/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@lib/\1.a@' -e 's@^ .*@@' ; done)
endif

# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: vlc ${ALIASES} plugins vlc.app

clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} && $(MAKE) clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.moc plugins/*/*.bak
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so lib/*.a vlc gnome-vlc gvlc kvlc qvlc
	rm -Rf vlc.app

distclean: clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/config.h include/modules_builtin.h
	rm -f config*status config*cache config*log
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=lib/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo DCFLAGS: $(DCFLAGS)
	@echo LCFLAGS: $(LCFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo objects: $(objects)
	@echo cppobjects: $(cppobjects)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)


# ugliest of all, but I have no time to do it -- sam
snapshot: Makefile.opts
	rm -Rf /tmp/vlc-${PROGRAM_VERSION}* /tmp/vlc-${PROGRAM_VERSION}nocss*
	# copy archive in /tmp
	find -type d | grep -v CVS | grep -v '\.dep' | while read i ; \
		do mkdir -p /tmp/vlc-${PROGRAM_VERSION}/$$i ; \
	done
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# .c .h .in .cpp .glade
	find include src plugins -type f -name '*.[chig]*' | while read i ; \
		do cp $$i /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# Makefiles
	find . plugins -type f -name Makefile | while read i ; \
		do cp $$i /tmp/vlc-${PROGRAM_VERSION}/$$i ; done
	# extra files
	cp -a extras/* /tmp/vlc-${PROGRAM_VERSION}/extras
	cp -a doc/* /tmp/vlc-${PROGRAM_VERSION}/doc
	find /tmp/vlc-${PROGRAM_VERSION}/extras \
		/tmp/vlc-${PROGRAM_VERSION}/doc \
		-type d -name CVS | while read i ; \
			do rm -Rf $$i ; \
		done
	# copy misc files
	cp vlc.spec AUTHORS COPYING ChangeLog INSTALL README TODO todo.pl \
		Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh config.sub config.guess \
			/tmp/vlc-${PROGRAM_VERSION}/
	for file in control control-css vlc-gtk.menu vlc.copyright vlc.docs \
		changelog changelog-css rules rules-css vlc.dirs vlc.desktop \
		gvlc.desktop gnome-vlc.desktop vlc.menu ; do \
			cp debian/$$file /tmp/vlc-${PROGRAM_VERSION}/debian/ ; \
		done
	for file in default8x16.psf default8x9.psf vlc_beos.rsrc vlc.icns ; do \
		cp share/$$file /tmp/vlc-${PROGRAM_VERSION}/share/ ; done
	for icon in vlc gvlc qvlc gnome-vlc kvlc ; do \
		cp share/$$icon.xpm share/$$icon.png \
			/tmp/vlc-${PROGRAM_VERSION}/share/ ; done

	# build css-enabled archives
	(cd /tmp ; tar cf vlc-${PROGRAM_VERSION}.tar vlc-${PROGRAM_VERSION} ; \
		bzip2 -f -9 < vlc-${PROGRAM_VERSION}.tar \
			> vlc-${PROGRAM_VERSION}.tar.bz2 ; \
		gzip -f -9 vlc-${PROGRAM_VERSION}.tar )
	mv /tmp/vlc-${PROGRAM_VERSION}.tar.gz \
		/tmp/vlc-${PROGRAM_VERSION}.tar.bz2 ..

	# clean up
	rm -Rf /tmp/vlc-${PROGRAM_VERSION}*

.PHONY: vlc.app
vlc.app:
ifneq (,$(findstring darwin,$(SYS)))
	rm -Rf vlc.app
	mkdir -p vlc.app/Contents/Resources
	mkdir -p vlc.app/Contents/MacOS/lib
	mkdir -p vlc.app/Contents/MacOS/share
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/Info.plist vlc.app/Contents/
	$(INSTALL) -m 644 extras/MacOSX_app/Contents/PkgInfo vlc.app/Contents/
	$(INSTALL) vlc vlc.app/Contents/MacOS/
	$(INSTALL) share/vlc.icns vlc.app/Contents/Resources/
ifneq (,$(PLUGINS))
	$(INSTALL) $(PLUGINS:%=lib/%.so) vlc.app/Contents/MacOS/lib
endif
	$(INSTALL) -m 644 share/*.psf vlc.app/Contents/MacOS/share
endif

FORCE:

#
# GTK/Gnome aliases - don't add too many aliases which could bloat
# the namespace
#
gnome-vlc gvlc kvlc qvlc: vlc
	rm -f $@ && ln -s vlc $@

#
# Generic rules (see below)
#
$(C_DEP): %.d: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(CPP_DEP): %.dpp: FORCE
	@$(MAKE) -s --no-print-directory -f Makefile.dep $@

$(H_OBJ): Makefile.opts Makefile.dep Makefile
	rm -f $@ && cp $@.in $@
ifneq (,$(BUILTINS))
	for i in $(BUILTINS) ; do \
		echo "int module_"$$i"_InitModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_ActivateModule( module_t* );" >> $@ ; \
		echo "int module_"$$i"_DeactivateModule( module_t* );" >> $@ ; \
	done
endif
	echo "" >> $@ ;
	printf "#define ALLOCATE_ALL_BUILTINS() do { " >> $@ ;
ifneq (,$(BUILTINS))
	for i in $(BUILTINS) ; do \
		printf "ALLOCATE_BUILTIN("$$i"); " >> $@ ; \
	done
endif
	echo "} while( 0 );" >> $@ ;
	echo "" >> $@ ;

$(C_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(C_OBJ): %.o: .dep/%.d
$(C_OBJ): %.o: %.c
ifneq (,$(findstring darwin,$(SYS)))
#this is uglier of all
	@if test "src/ac3_decoder/ac3_imdct.c" = "$<"; then $(CC) `echo $(CFLAGS) | sed -e 's/-O3/-O/'` -c -o $@ $<; echo "(CC) `echo $(CFLAGS) | sed -e 's/-O3/-O/'` -c -o $@ $<"; else $(CC) $(CFLAGS) -c -o $@ $<; echo "$(CC) $(CFLAGS) -c -o $@ $<"; fi
else
	$(CC) $(CFLAGS) -c -o $@ $<
endif

$(CPP_OBJ): %.o: Makefile.opts Makefile.dep Makefile
$(CPP_OBJ): %.o: .dep/%.dpp
$(CPP_OBJ): %.o: %.cpp
	$(CC) $(CFLAGS) -c -o $@ $<

#
# Main application target
#
vlc: Makefile.opts Makefile.dep Makefile $(H_OBJ) $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ)
	$(CC) $(CFLAGS) -o $@ $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(LCFLAGS)
ifeq ($(SYS),beos)
	rm -f ./lib/_APP_
	ln -s ../vlc ./lib/_APP_
	xres -o $@ ./share/vlc_beos.rsrc
	mimeset -f $@
endif

#
# Plugins target
#
plugins: Makefile.modules Makefile.opts Makefile.dep Makefile $(PLUGIN_OBJ)
$(PLUGIN_OBJ): FORCE
	cd $(shell echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.* \([^/]*/\)'$(@:lib/%.so=%)' .*@plugins/\1@' -e 's@^ .*@@') && $(MAKE) $(@:%=../../%)

#
# Built-in modules target
#
builtins: Makefile.modules Makefile.opts Makefile.dep Makefile $(BUILTIN_OBJ)
$(BUILTIN_OBJ): FORCE
	cd $(shell echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.* \([^/]*/\)'$(@:lib/%.a=%)' .*@plugins/\1@' -e 's@^ .*@@') && $(MAKE) $(@:%=../../%)
	$(RANLIB) $@

=== plugins/alsa/Makefile ===
###############################################################################
# vlc (VideoLAN Client) ALSA module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = alsa.o aout_alsa.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/alsa.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ALSA)

../../lib/alsa.a: $(BUILTIN_C)
	ar r $@ $^

=== plugins/esd/Makefile ===
###############################################################################
# vlc (VideoLAN Client) esd module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = esd.o aout_esd.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/esd.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_ESD)

../../lib/esd.a: $(BUILTIN_C)
	ar r $@ $^

=== plugins/glide/Makefile ===
###############################################################################
# vlc (VideoLAN Client) glide module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_GLIDE = glide.o vout_glide.o
BUILTIN_GLIDE = $(PLUGIN_GLIDE:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_GLIDE) $(BUILTIN_GLIDE)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_GLIDE): %.o: .dep/%.d
$(PLUGIN_GLIDE): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) -I/usr/include/glide -c -o $@ $<

$(BUILTIN_GLIDE): BUILTIN_%.o: .dep/%.d
$(BUILTIN_GLIDE): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -I/usr/include/glide -c -o $@ $<

#
# Real targets
#

../../lib/glide.so: $(PLUGIN_GLIDE)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GLIDE)

../../lib/glide.a: $(BUILTIN_GLIDE)
	ar r $@ $^

=== plugins/gnome/Makefile ===
###############################################################################
# vlc (VideoLAN Client) gnome module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_GNOME = gnome.o intf_gnome.o gnome_callbacks.o gnome_interface.o gnome_support.o
BUILTIN_GNOME = $(PLUGIN_GNOME:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_GNOME) $(BUILTIN_GNOME)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_GNOME): %.o: .dep/%.d
$(PLUGIN_GNOME): %.o: %.c
	$(CC) $(CFLAGS) $(PCFLAGS) `gnome-config --cflags gtk gnomeui` -c -o $@ $<

$(BUILTIN_GNOME): BUILTIN_%.o: .dep/%.d
$(BUILTIN_GNOME): BUILTIN_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN `gnome-config --cflags gtk gnomeui` -c -o $@ $<

#
# Real targets
#

../../lib/gnome.so: $(PLUGIN_GNOME)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GNOME)

../../lib/gnome.a: $(BUILTIN_GNOME)
	ar r $@ $^

=== plugins/gtk/Makefile ===
###############################################################################
# vlc (VideoLAN Client) gtk module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = gtk.o intf_gtk.o gtk_callbacks.o gtk_interface.o gtk_support.o gtk_playlist.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Special plugin modifications
#

CFLAGS += $(CFLAGS_GTK)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/gtk.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_GTK)

../../lib/gtk.a: $(BUILTIN_C)
	ar r $@ $^

=== plugins/motion/Makefile ===
###############################################################################
# vlc (VideoLAN Client) motion module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_MOTION = motion.o vdec_motion_inner.o
PLUGIN_MOTIONMMX = motionmmx.o vdec_motion_inner_mmx.o
PLUGIN_MOTIONMMXEXT = motionmmxext.o vdec_motion_inner_mmxext.o
PLUGIN_MOTIONCOMMON = vdec_motion_common.o

BUILTIN_MOTION = $(PLUGIN_MOTION:%.o=BUILTIN_MOTION_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTION_%.o)
BUILTIN_MOTIONMMX = $(PLUGIN_MOTIONMMX:%.o=BUILTIN_MOTIONMMX_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTIONMMX_%.o)
BUILTIN_MOTIONMMXEXT = $(PLUGIN_MOTIONMMXEXT:%.o=BUILTIN_MOTIONMMXEXT_%.o) \
		$(PLUGIN_MOTIONCOMMON:%.o=BUILTIN_MOTIONMMXEXT_%.o)

PLUGIN_C = $(PLUGIN_MOTION) $(PLUGIN_MOTIONMMX) $(PLUGIN_MOTIONMMXEXT) $(PLUGIN_MOTIONCOMMON)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_MOTION) $(BUILTIN_MOTIONMMX) $(BUILTIN_MOTIONMMXEXT)

#
# Virtual targets
#

include ../../Makefile.modules

$(BUILTIN_MOTION): BUILTIN_MOTION_%.o: .dep/%.d
$(BUILTIN_MOTION): BUILTIN_MOTION_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motion -c -o $@ $<

$(BUILTIN_MOTIONMMX): BUILTIN_MOTIONMMX_%.o: .dep/%.d
$(BUILTIN_MOTIONMMX): BUILTIN_MOTIONMMX_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motionmmx -c -o $@ $<

$(BUILTIN_MOTIONMMXEXT): BUILTIN_MOTIONMMXEXT_%.o: .dep/%.d
$(BUILTIN_MOTIONMMXEXT): BUILTIN_MOTIONMMXEXT_%.o: %.c
	$(CC) $(CFLAGS) -DBUILTIN -DMODULE_NAME=motionmmxext -c -o $@ $<

#
# Real targets
#

../../lib/motion.so: $(PLUGIN_MOTION) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/motion.a: $(BUILTIN_MOTION)
	ar r $@ $^

../../lib/motionclassic.so: $(PLUGIN_MOTIONCLASSIC) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/motionclassic.a: $(BUILTIN_MOTIONCLASSIC)
	ar r $@ $^

../../lib/motionmmx.so: $(PLUGIN_MOTIONMMX) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/motionmmx.a: $(BUILTIN_MOTIONMMX)
	ar r $@ $^

../../lib/motionmmxext.so: $(PLUGIN_MOTIONMMXEXT) $(PLUGIN_MOTIONCOMMON)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/motionmmxext.a: $(BUILTIN_MOTIONMMXEXT)
	ar r $@ $^

=== plugins/mpeg/Makefile ===
###############################################################################
# vlc (VideoLAN Client) mpeg module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_ES = es.o input_es.o
PLUGIN_PS = ps.o input_ps.o
PLUGIN_TS = ts.o input_ts.o
BUILTIN_ES = $(PLUGIN_ES:%.o=BUILTIN_%.o)
BUILTIN_PS = $(PLUGIN_PS:%.o=BUILTIN_%.o)
BUILTIN_TS = $(PLUGIN_TS:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_ES) $(PLUGIN_PS) $(PLUGIN_TS)
BUILTIN_C = $(BUILTIN_ES) $(BUILTIN_PS) $(BUILTIN_TS)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/es.so: $(PLUGIN_ES)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/es.a: $(BUILTIN_ES)
	ar r $@ $^

../../lib/ps.so: $(PLUGIN_PS)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/ps.a: $(BUILTIN_PS)
	ar r $@ $^

../../lib/ts.so: $(PLUGIN_TS)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_TS)

../../lib/ts.a: $(BUILTIN_TS)
	ar r $@ $^

=== plugins/null/Makefile ===
###############################################################################
# vlc (VideoLAN Client) null module makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_C = null.o
BUILTIN_C = $(PLUGIN_C:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/null.so: $(PLUGIN_C)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) 

../../lib/null.a: $(BUILTIN_C)
	ar r $@ $^

=== plugins/qt/Makefile ===
###############################################################################
# vlc (VideoLAN Client) qt module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_QT = qt.o intf_qt.o
BUILTIN_QT = $(PLUGIN_QT:%.o=BUILTIN_%.o)

ALL_OBJ = $(PLUGIN_QT) $(BUILTIN_QT)

#
# Virtual targets
#

include ../../Makefile.modules

$(PLUGIN_QT): %.o: .dep/%.dpp
$(PLUGIN_QT): %.o: %.moc
	$(CC) $(CFLAGS) $(PCFLAGS) -I/usr/include/qt -I${QTDIR}/include -c -o $@ $(<:%.moc=%.cpp)
$(PLUGIN_QT:%.o=%.moc): %.moc: %.cpp
	moc -i $< -o $@

$(BUILTIN_QT): BUILTIN_%.o: .dep/%.dpp
$(BUILTIN_QT): %.o: %.moc
	$(CC) $(CFLAGS) -DBUILTIN -I/usr/include/qt -I${QTDIR}/include -c -o $@ $(<:BUILTIN_%.moc=%.cpp)
$(BUILTIN_QT:%.o=%.moc): BUILTIN_%.moc: %.cpp
	moc -i $< -o $@

#
# Real targets
#

../../lib/qt.so: $(PLUGIN_QT)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_QT)

../../lib/qt.a: $(BUILTIN_QT)
	ar r $@ $^

=== plugins/text/Makefile ===
###############################################################################
# vlc (VideoLAN Client) text module Makefile
# (c)2001 VideoLAN
###############################################################################

#
# Objects
#

PLUGIN_NCURSES = ncurses.o intf_ncurses.o
PLUGIN_RC = rc.o intf_rc.o
BUILTIN_NCURSES = $(PLUGIN_NCURSES:%.o=BUILTIN_%.o)
BUILTIN_RC = $(PLUGIN_RC:%.o=BUILTIN_%.o)

PLUGIN_C = $(PLUGIN_NCURSES) $(PLUGIN_RC)
BUILTIN_C = $(BUILTIN_NCURSES) $(BUILTIN_RC)
ALL_OBJ = $(PLUGIN_C) $(BUILTIN_C)

#
# Virtual targets
#

include ../../Makefile.modules

#
# Real targets
#

../../lib/ncurses.so: $(PLUGIN_NCURSES)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS) $(LIB_NCURSES)

../../lib/ncurses.a: $(BUILTIN_NCURSES)
	ar r $@ $^

../../lib/rc.so: $(PLUGIN_RC)
	$(CC) $(PCFLAGS) -o $@ $^ $(PLCFLAGS)

../../lib/rc.a: $(BUILTIN_RC)
	ar r $@ $^

=== debian/changelog ===
vlc (0.2.72-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon, 16 Apr 2001 14:33:53 +0200

vlc (0.2.71-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 13 Apr 2001 08:13:26 +0200

vlc (0.2.70-1) unstable; urgency=low

  * New upstream release.
  * Non-i386 package builds really fixed (Closes: #89285).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  7 Apr 2001 05:52:00 +0200

vlc (0.2.63-3) unstable; urgency=low

  * Added versioned conflicts/replaces to vlc-gtk (Closes: #88796).

 -- Samuel Hocevar <sam@zoy.org>  Wed,  7 Mar 2001 20:47:48 +0100

vlc (0.2.63-2) unstable; urgency=low

  * Glide shouldn't cause any non-x86 problems anymore (Closes: #88583).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 12:50:28 +0100

vlc (0.2.63-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Mar 2001 00:41:16 +0100

vlc (0.2.62-2) unstable; urgency=low

  * Removed a few lintian warnings.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  3 Mar 2001 10:29:31 +0100

vlc (0.2.62-1) unstable; urgency=low

  * New release. Glide and GGI packages build again.
  * Updated vlc.1 manpage (Closes: #87478).
  * Fixed debian/control (Closes: #83707).
  * The framebuffer plugin doesn't hijack ^C anymore (Closes: #87500).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  2 Mar 2001 17:32:24 +0100

vlc (0.2.61-1) unstable; urgency=low

  * New release. The package build works again.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 16 Feb 2001 08:09:59 +0100

vlc (0.2.60-1) unstable; urgency=low

  * New release. The package build is most presumably FUBAR.

 -- Samuel Hocevar <sam@zoy.org>  Wed, 14 Feb 2001 08:33:46 +0100

vlc (0.2.50-1) unstable; urgency=low

  * Only build vlc-glide under x86 (Closes: #84046).
  * Switched PentiumPro optimization off (Closes: #83707).

 -- Samuel Hocevar <sam@zoy.org>  Mon,  5 Feb 2001 20:49:15 +0100

vlc (0.1.99i) unstable; urgency=low

  * Fixed the framerate display

 -- Samuel Hocevar <sam@zoy.org>  Tue, 24 Oct 2000 11:08:01 +0200

vlc (0.1.99h) unstable; urgency=low

  * added support for the SDL vout : the --display fullscreen allows
    fullscreen when possible. Disabled by default.
  * updated debian directory to build vlc-sdl.
  * removed CCFLAGS flags which were improperly used.
  * added hints for powerpc build.
  * fixed the input_file exit bug.
  * removed the frame statistics output.
  * removed a verbose message in intf_sdl.c.
  * added a few sanity checks in the audio mpeg and ac3 decoders.
  * temporarily got rid of vlc.channels.

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 22 Aug 2000 01:31:58 +0200

vlc (0.1.99g) unstable; urgency=low

  * removed all "*vlc" aliases except "gvlc" and "fbvlc". The other sucked.
  * new --synchro flag which lets you force which images are decoded.
  * fixed 32bpp MMX YUV, made the comments clearer, removed an emms.
  * now scaling is on by default, so that people won't tell that the vlc
    cannot do scaling :-)
  * fixed 8bpp YUV.
  * fixed the fscked up Bresenham algorithm in all YUV functions.
  * fixed a dumb bug in the Makefile that prevented inclusion of the
    -march=pentium directive. thanks Meuuh, blame sam.
  * separate Debian packages

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 16 Aug 2000 01:07:14 +0200

vlc (0.1.99f) unstable; urgency=low

  * plugin detection now works
  * "gvlc", "fbvlc", "ggivlc" aliases now work
  * fixed functions that weren't properly inlined
  * removed bloat from the MMX YUV plugin
  * vlc.init becomes ~/.vlcrc
  * removed float operations in the video decoder, and all emms asm functions
  * borrowed linuxvideo's MMX motion compensation
  * fixed an undefined symbol in the MMX YUV plugin

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue,  8 Aug 2000 11:24:01 +0200

vlc (0.1.99e) unstable; urgency=low

  * new bitstream syntax and slight performance increase

 -- Samuel Hocevar <sam@via.ecp.fr>  Thu, 20 Jul 2000 15:14:06 +0200

vlc (0.1.99d) unstable; urgency=low

  * .deb is now more lintian-friendly
  * removed a few useless warning messages
  * new plugin API
  * plugin auto-detection
  * removed the default --enable-ppro option because it didn't work on K6-2
  * the framebuffer client now leaves the console in a working state
  * the dithered 8 bpp YUV transformation works again (blame bbp !)
  * the YUV transformations are now plugins as well
  * alternative symlinks like gvlc, fbvlc are now created at compile time
  * borrowed libmpeg2's GPLed MMX YUV transformations (16 and 32 bits)
  * fixed an endianness problem which occured on iMacs

 -- Samuel Hocevar <sam@via.ecp.fr>  Wed, 12 Jul 2000 01:24:40 +0200

vlc (0.1.99c) unstable; urgency=low

  * Caught Delete Window event in Gnome and X11 modes
  * Fixed manpage
  * GGI output now works
  * Fixed a segfault on exit for the Gnome plugin
  * Sound support almost works under BeOS

 -- Samuel Hocevar <sam@via.ecp.fr>  Tue, 20 Jun 2000 03:01:12 +0200

vlc (0.1.99b) unstable; urgency=low

  * Added a ChangeLog file
  * Updated the VLAN code
  * Fixed a bug preventing to quit

 -- Samuel Hocevar <sam@via.ecp.fr>  Sat, 17 Jun 2000 03:46:16 +0200

vlc (0.1.99a) unstable; urgency=low

  * Fixed some compile flag errors

 -- Samuel Hocevar <sam@via.ecp.fr>  Thu, 15 Jun 2000 20:48:54 +0200

vlc (0.1.99-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Hocevar <sam@via.ecp.fr>  Mon, 13 Mar 2000 02:21:45 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlib6g-dev, libgnome-dev, libggi2-dev, libglide-dev [i386], libesd0-dev, libsdl1.1-dev, libasound1-dev, libqt-dev
Standards-Version: 3.0.1

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}, vlc-gui
Suggests: vlc-sdl, vlc-esd, vlc-gnome
Description: the free MPEG and DVD player VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is the VideoLAN Client. It plays MPEG and MPEG2 files, unencrypted
 DVDs, or MPEG streams from a network source.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gnome interface to the VideoLAN Client.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Gtk+ interface to the VideoLAN Client.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to
 the VideoLAN Client.

Package: vlc-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 the VideoLAN Client.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 the VideoLAN Client.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a GGI plugin for the VideoLAN Client.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is a Glide (3dfx) plugin for the VideoLAN Client.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for the VideoLAN Client
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds a Qt interface to the VideoLAN Client.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb --with-glide \
		--with-ggi --with-sdl --enable-esd --enable-alsa \
		--enable-qt --disable-ppro ; \
	else \
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-gnome --enable-gtk --enable-fb \
		--with-ggi --with-sdl --enable-esd --enable-alsa \
		--enable-qt ; \
	fi

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# make symlinks for packages
	aliases="ggi gtk gnome esd sdl alsa qt" ; \
	if [ $(DEB_BUILD_ARCH) = i386 ]; then aliases=$$aliases" glide" ; fi ; \
	for alias in `echo $$aliases` ; do \
		mkdir -p debian/vlc-$$alias/usr/share/doc/ ; \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mkdir -p debian/vlc-$$alias/usr/lib/videolan/vlc/ ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mkdir -p debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mkdir -p debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mkdir -p debian/vlc-qt/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/

	mkdir -p debian/vlc/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/vlc.png \
		debian/vlc/usr/share/pixmaps/
	mkdir -p debian/vlc/usr/share/gnome/apps/Multimedia/
	cp debian/vlc.desktop debian/vlc/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gtk/usr/share/videolan/ \
		debian/vlc-gtk/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gvlc.xpm \
		debian/vlc-gtk/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gvlc.png \
		debian/vlc-gtk/usr/share/pixmaps/
	mkdir -p debian/vlc-gtk/usr/share/gnome/apps/Multimedia/
	cp debian/gvlc.desktop debian/vlc-gtk/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-gnome/usr/share/videolan/ \
		debian/vlc-gnome/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/gnome-vlc.xpm \
		debian/vlc-gnome/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/gnome-vlc.png \
		debian/vlc-gnome/usr/share/pixmaps/
	mkdir -p debian/vlc-gnome/usr/share/gnome/apps/Multimedia/
	cp debian/gnome-vlc.desktop debian/vlc-gnome/usr/share/gnome/apps/Multimedia/

	mkdir -p debian/vlc-qt/usr/share/videolan/ \
		debian/vlc-qt/usr/share/pixmaps/
	mv debian/vlc/usr/share/videolan/qvlc.xpm \
		debian/vlc-qt/usr/share/videolan/
	mv debian/vlc/usr/share/videolan/qvlc.png \
		debian/vlc-qt/usr/share/pixmaps/

	mkdir -p debian/vlc/usr/share/man/man1/
	gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	mkdir -p debian/vlc-gtk/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	mkdir -p debian/vlc-gnome/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	mkdir -p debian/vlc-qt/usr/share/man/man1/
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	#dh_installcron
#	dh_installmanpages -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-alsa -Nvlc-qt doc/vlc.1
	#dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-sdl -Nvlc-alsa -Nvlc-qt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps -Nvlc-glide
	if [ $(DEB_BUILD_ARCH) = i386 ]; then \
		dh_gencontrol ;\
		dh_md5sums ;\
		dh_builddeb ;\
	else \
		dh_gencontrol -Nvlc-glide ;\
		dh_md5sums -Nvlc-glide ;\
		dh_builddeb -Nvlc-glide ;\
	fi

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
